Ankündigung

Einklappen
Keine Ankündigung bisher.

Fehler bei Update

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Fehler bei Update




    Hallo habe gerader versucht von 2.1.4 auf V5.0.2. ein update zu machen kommen sehr viele Datenbankfehler.
    Bei diesen komme ich nicht mehr weiter:
    Datenbank Fehler bei folgendem SQL Ausdruck:
    ALTER TABLE `contrexx_core_module_data_access` DROP INDEX `read_permission`

    Detailierte Informationen:


    Versuchen Sie das Update erneut auszuführen.

    Sollte derselbe Fehler wieder erscheinen, suchen Sie im Cloudrexx OpenSource Forum nach weiteren Hilfestellungen zu diesem Fehler.
    Falls diesbezüglich nichts bekannt ist, melden Sie dort den Fehler mit den folgenden Angaben:

    Installierte Version: 2.1.4
    Update Version:
    Info: Beim Aktualisieren der Komponente dataaccess.php trat ein Fehler auf.
    Fehlermeldung:
    Datenbank Fehler bei folgendem SQL Ausdruck:
    ALTER TABLE `contrexx_core_module_data_access` DROP INDEX `read_permission`

    Detailierte Informationen:

  • #2
    Nach dem Abbrechen habe ich noch mal das Update aufgerufen. Dann kommt immer


    Updatevorgang...

    Das Update kann nicht gestartet werden, da ein vorgängig, fehlgeschlagener Update-Versuch identifiziert wurde. Bitte wenden Sie sich an den Produktsupport für weitere Unterstützung.

    Welche datei muss man ändern, dass ich das Update weiter machen kann

    Kommentar


    • #3
      Guten Morgen...

      puh... von 2.1.4... - Ich hätte ggf. den ersten Schritt auf das 2.2.6 gemacht. Von da scheint es bislang besser zu laufen...

      Wenn ein Update fehl läuft, habe ich idR alles zurück gesetzt. Also Backup -> Dateien wie auch -> Datenbank auf den Zustand VOR dem ersten Schritt des Update setzen. Dann neu beginnen. In welchem Bereich jetzt bereits Update-Dateien liegen, kann ich aus der Fehlermeldung nicht sehen...
      Viele Grüße Markus
      ... der Römer aus dem ältesten Dorf "Krefeld´s" :-)


      Kenne contrexx V.1, V.2, V.3, V.4... | ... und ab sofort auch V.5 :-)

      Offizieller "cloudrexx Partner" :-)

      HINWEIS: ABWESENHEIT VOM 18.-23.03. - INFO-(Bildungs)FAHRT :-)

      Kommentar


      • #4
        Danke für die Info.
        Wo finde ich die Version 2.2.6 als Update`????

        Kommentar


        • #5
          Hier mal der Link dahin. Musst ein wenig runterscrollen:
          --> https://www.cloudrexx.com/de/Softwar...es?category=44

          Du musst das richtige Update wählen (OpenSource, Standard etc.)
          Viele Grüße Markus
          ... der Römer aus dem ältesten Dorf "Krefeld´s" :-)


          Kenne contrexx V.1, V.2, V.3, V.4... | ... und ab sofort auch V.5 :-)

          Offizieller "cloudrexx Partner" :-)

          HINWEIS: ABWESENHEIT VOM 18.-23.03. - INFO-(Bildungs)FAHRT :-)

          Kommentar


          • #6
            So folgende Fehler meldung:



            Update Vorgang...

            Beim Aktualisieren der Komponente stats.php trat ein Fehler auf!
            Datenbank Fehler bei folgendem SQL Ausdruck:
            ALTER IGNORE TABLE `contrexx_stats_search` CHANGE `name` `name` VARCHAR( 100 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL

            Detailierte Informationen:
            You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'IGNORE TABLE `contrexx_stats_search` CHANGE `name` `name` VARCHAR( 100 ) CHARACT' at line 1


            Versuchen Sie das Update erneut auszuführen!

            Sollte derselbe Fehler wieder erscheinen, suchen Sie im Contrexx OpenSource Forum nach weiteren Hilfestellungen zu diesem Fehler.
            Falls diesbezüglich nichts bekannt ist, melden Sie dort den Fehler mit den folgenden Angaben:

            Installierte Version: 2.1.4
            Update Version: 2.2 Service Pack 6
            Info: Beim Aktualisieren der Komponente stats.php trat ein Fehler auf!
            Fehlermeldung:
            Datenbank Fehler bei folgendem SQL Ausdruck:
            ALTER IGNORE TABLE `contrexx_stats_search` CHANGE `name` `name` VARCHAR( 100 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL

            Detailierte Informationen:
            You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'IGNORE TABLE `contrexx_stats_search` CHANGE `name` `name` VARCHAR( 100 ) CHARACT' at line 1

            Kommentar


            • #7
              Habe jetzt folgendes versucht. habe auf V4 ein Update versucht da kommt auch ein Datenbankfehler:

              Updatevorgang...

              Datenbank Fehler bei folgendem SQL Ausdruck:
              SELECT DISTINCT `lang` FROM `contrexx_content_navigation` WHERE `lang` IN (1) UNION DISTINCT SELECT DISTINCT `lang` FROM `contrexx_content_navigation_history` WHERE `lang` IN (1) ORDER BY `lang` ASC

              Detailierte Informationen:
              Table 'web209_db1.contrexx_content_navigation' doesn't exist

              Datenbank Fehler bei folgendem SQL Ausdruck:
              SELECT DISTINCT `lang` FROM `contrexx_content_navigation` WHERE `lang` NOT IN (1) UNION DISTINCT SELECT DISTINCT `lang` FROM `contrexx_content_navigation_history` WHERE `lang` NOT IN (1) ORDER BY `lang` ASC

              Detailierte Informationen:
              Table 'web209_db1.contrexx_content_navigation' doesn't exist

              Datenbank Fehler bei folgendem SQL Ausdruck:
              SELECT DISTINCT `lang` FROM `contrexx_content_navigation` WHERE `lang` IN (1) UNION DISTINCT SELECT DISTINCT `lang` FROM `contrexx_content_navigation_history` WHERE `lang` IN (1) ORDER BY `lang` ASC

              Detailierte Informationen:
              Table 'web209_db1.contrexx_content_navigation' doesn't exist
              Versuchen Sie das Update erneut auszuführen.

              Sollte derselbe Fehler wieder erscheinen, suchen Sie im Contrexx OpenSource Forum nach weiteren Hilfestellungen zu diesem Fehler.
              Falls diesbezüglich nichts bekannt ist, melden Sie dort den Fehler mit den folgenden Angaben:

              Installierte Version: 2.1.4
              Update Version:
              Info: Konflikt beim Installieren von neuen Modulen
              Fehlermeldung:
              Datenbank Fehler bei folgendem SQL Ausdruck:
              SELECT DISTINCT `lang` FROM `contrexx_content_navigation` WHERE `lang` IN (1) UNION DISTINCT SELECT DISTINCT `lang` FROM `contrexx_content_navigation_history` WHERE `lang` IN (1) ORDER BY `lang` ASC

              Detailierte Informationen:
              Table 'web209_db1.contrexx_content_navigation' doesn't exist

              Versuchen Sie das Update erneut auszuführen.

              Sollte derselbe Fehler wieder erscheinen, suchen Sie im Contrexx OpenSource Forum nach weiteren Hilfestellungen zu diesem Fehler.
              Falls diesbezüglich nichts bekannt ist, melden Sie dort den Fehler mit den folgenden Angaben:

              Installierte Version: 2.1.4
              Update Version:
              Info: Konflikt beim Installieren von neuen Modulen
              Fehlermeldung:
              Datenbank Fehler bei folgendem SQL Ausdruck:
              SELECT DISTINCT `lang` FROM `contrexx_content_navigation` WHERE `lang` NOT IN (1) UNION DISTINCT SELECT DISTINCT `lang` FROM `contrexx_content_navigation_history` WHERE `lang` NOT IN (1) ORDER BY `lang` ASC

              Detailierte Informationen:
              Table 'web209_db1.contrexx_content_navigation' doesn't exist

              Versuchen Sie das Update erneut auszuführen.

              Sollte derselbe Fehler wieder erscheinen, suchen Sie im Contrexx OpenSource Forum nach weiteren Hilfestellungen zu diesem Fehler.
              Falls diesbezüglich nichts bekannt ist, melden Sie dort den Fehler mit den folgenden Angaben:

              Installierte Version: 2.1.4
              Update Version:
              Info: Konflikt beim Installieren von neuen Modulen
              Fehlermeldung:
              Datenbank Fehler bei folgendem SQL Ausdruck:
              SELECT DISTINCT `lang` FROM `contrexx_content_navigation` WHERE `lang` IN (1) UNION DISTINCT SELECT DISTINCT `lang` FROM `contrexx_content_navigation_history` WHERE `lang` IN (1) ORDER BY `lang` ASC

              Detailierte Informationen:
              Table 'web209_db1.contrexx_content_navigation' doesn't exist

              Folgende neue Module können nicht installiert werden, da die entsprechenden Datenbank-Tabellen bereits existieren:
              • mediadir: contrexx_module_mediadir_categories, contrexx_module_mediadir_categories_names, contrexx_module_mediadir_comments, contrexx_module_mediadir_entries, contrexx_module_mediadir_forms, contrexx_module_mediadir_form_names, contrexx_module_mediadir_inputfields, contrexx_module_mediadir_inputfield_names, contrexx_module_mediadir_inputfield_types, contrexx_module_mediadir_inputfield_verifications, contrexx_module_mediadir_levels, contrexx_module_mediadir_level_names, contrexx_module_mediadir_mails, contrexx_module_mediadir_mail_actions, contrexx_module_mediadir_masks, contrexx_module_mediadir_order_rel_forms_selectors , contrexx_module_mediadir_rel_entry_categories, contrexx_module_mediadir_rel_entry_inputfields, contrexx_module_mediadir_rel_entry_levels, contrexx_module_mediadir_settings, contrexx_module_mediadir_settings_num_categories, contrexx_module_mediadir_settings_num_entries, contrexx_module_mediadir_settings_num_levels, contrexx_module_mediadir_settings_perm_group_forms , contrexx_module_mediadir_votes

              Kommentar


              • #8
                Was kann ich da machen, ist eine kompexe Webseite die ich nicht einfach mal kurz neu Aufsetzen kann.

                Kommentar


                • #9
                  Ich glaube ein Update per Zwischenschritt wird nix werden...

                  Gerade gefunden. Da haste auch schon versucht zu aktualisieren...
                  --> https://forum.cloudrexx.com/forum/co...2679#post62679

                  Hier muss sich Thomas daeppen ggf. nochmal einklinken...


                  ****

                  Edit:
                  Unsere Antworten haben sich überschnitten, habe ich gerade erst gesehen. Das ändert aber nichts an meiner Aussage.
                  Ein Update aufgrund Deiner MySQL-Version scheint weder mit V2 noch mit V4 möglich zu sein. Nur mit V5. Was dann genau die Fehler verursacht müsste Thomas prüfen...
                  Zuletzt geändert von MK70; 28.02.2019, 13:23.
                  Viele Grüße Markus
                  ... der Römer aus dem ältesten Dorf "Krefeld´s" :-)


                  Kenne contrexx V.1, V.2, V.3, V.4... | ... und ab sofort auch V.5 :-)

                  Offizieller "cloudrexx Partner" :-)

                  HINWEIS: ABWESENHEIT VOM 18.-23.03. - INFO-(Bildungs)FAHRT :-)

                  Kommentar

                  Lädt...
                  X